<?php

class Buku_model extends CI_Model{

function get($q=null,$kategori=null){

$this->db->select('buku.*, kategori.nama_kategori');
$this->db->from('buku');
$this->db->join('kategori','kategori.id_kategori=buku.id_kategori','left');

if($q){
$this->db->group_start();
$this->db->like('judul',$q);
$this->db->or_like('penulis',$q);
$this->db->group_end();
}

if($kategori){
$this->db->where('buku.id_kategori',$kategori);
}

return $this->db->order_by('buku.id_buku','DESC')->get()->result();
}



	function kategori(){
		return $this->db->get('kategori')->result();
	}

	function insert($data){
		$this->db->insert('buku',$data);
	}

	function edit($id){
		return $this->db->where('id_buku',$id)->get('buku')->row();
	}

	function update($id,$data){
		$this->db->where('id_buku',$id);
		$this->db->update('buku',$data);
	}

	function delete($id){
		$this->db->where('id_buku',$id);
		$this->db->delete('buku');
	}
}
